Como cambiar el API mínimo en #Android Studio

Como Cambiar API Mínimo Android Studio, CableNaranja Portada

¡Comparte nuestro contenido!

Cuando desarrollamos aplicaciones, a veces cometemos detalles que por mínimos que sean, pueden afectarnos mucho. En el caso de las aplicaciones Android, un dilema típico es el API al que estamos apuntando. Por ejemplo, recientemente me pasó que configure una aplicación para el API 14 (Ice Cream Sandwich), pero termine utilizando opciones del API 16 (Jelly Bean), por lo que me ví en la necesidad de hacer el cambio.

El API mínimo afecta la cantidad de dispositivos a los que puede llegar tu aplicación, por lo que es importante establecer a partir de que versión de Android funcionará, ya que apuntar todo a la última versión del API puede no ser una buena idea en algunos casos.

Entonces ¿Cómo cambió el API Mínimo en Android Studio?

  1. En nuestro gestor de proyectos, presionamos el botón derecho del ratón sobre el Android Module y seleccionamos Open Module Settings o F4Como Cambiar API Minimo Android Studio, CableNaranja
  2. En la ventana de diálogo, nos movemos a la pestaña Flavors, cambiamos el valor Min SDK versión Por el valor deseado, y presionamos OKComo Cambiar API Minimo Android Studio, CableNaranja

Graddle configurará el proyecto nuevamente y los cambios se producirán apenas este proceso acabe.

¿Te ha resultado? Déjanos saber en los comentarios aquí abajo, en nuestra cuenta de twitter @cablenaranja7 o en nuestra página de facebook.

¡Comparte nuestro contenido!

Israel García

Docente, IT Manager, Blogger & Developer. Escribo por diversión, educo por pasión. | Grandstanding is not my thing.

Podría también gustarte...

4 Respuestas

  1. Muchas gracias, me fue de mucha utilidad ahora que Play Store fuerza a subir en API 28 (sin importar que hiciste todo en 27, cambias ese detalle y le da igual… terrible “la mejora de calidad” que obligan a tomar)

  1. noviembre 8, 2018

    […] Seleccionamos nuestro SDK mínimo (Si nos equivocamos en este paso, se puede corregir más adelante) […]

  2. noviembre 15, 2018

    […] nuestro SDK mínimo y las plataformas que vamos a soportar, luego presionamos […]

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

shares